Bug 22589 - Remove sub C4::Overdues::BorType
Summary: Remove sub C4::Overdues::BorType
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-27 09:37 UTC by Josef Moravec
Modified: 2020-04-03 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 22589: Remove C4::Overdues::BorType (7.52 KB, patch)
2019-03-27 09:49 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22589: Remove C4::Overdues::BorType (7.56 KB, patch)
2020-03-19 13:00 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 22589: Remove C4::Overdues::BorType (7.64 KB, patch)
2020-03-22 14:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-03-27 09:37:09 UTC
This sub is barely used and and can be easily changed to Koha::Patrons->find
Comment 1 Josef Moravec 2019-03-27 09:49:13 UTC
Created attachment 87050 [details] [review]
Bug 22589: Remove C4::Overdues::BorType

Test plan:
0) Apply patch
1) try to run affected scripts and ensure the amounts are corectly
calculated for different patron categories:
    installer/data/mysql/fix_unclosed_nonaccruing_fines_bug17135.pl
    misc/cronjobs/fines.pl
    misc/cronjobs/staticfines.pl
Comment 2 Fridolin SOMERS 2020-03-19 13:00:31 UTC
Created attachment 101014 [details] [review]
Bug 22589: Remove C4::Overdues::BorType

Test plan:
0) Apply patch
1) try to run affected scripts and ensure the amounts are corectly
calculated for different patron categories:
    installer/data/mysql/fix_unclosed_nonaccruing_fines_bug17135.pl
    misc/cronjobs/fines.pl
    misc/cronjobs/staticfines.pl

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 3 Fridolin SOMERS 2020-03-19 13:01:04 UTC
Looks fine to me.
Less code is less bugs ;)
Comment 4 Katrin Fischer 2020-03-22 14:57:09 UTC
Created attachment 101380 [details] [review]
Bug 22589: Remove C4::Overdues::BorType

Test plan:
0) Apply patch
1) try to run affected scripts and ensure the amounts are corectly
calculated for different patron categories:
    installer/data/mysql/fix_unclosed_nonaccruing_fines_bug17135.pl
    misc/cronjobs/fines.pl
    misc/cronjobs/staticfines.pl

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-03-24 11:05:11 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 21:40:22 UTC
enhancement not backported to 19.11.x